<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$ank['id'] = $user['id'];
if (isset($_GET['id']))$ank['id'] = intval($_GET['id']);$q = mysql_query("SELECT * FROM `user` WHERE `id` = $ank[id] LIMIT 1");
if (mysql_num_rows($q)==0){header("Location: index.php?err".SID);exit;}
$ank = mysql_fetch_array($q);
$set['title']="Мнения о $ank[nick]";
include_once '../sys/inc/thead.php';




title(); 
aut();

if (isset($_POST['msg']) && isset($user))
{
if(isset($_POST['show']))
{
if($_POST['show']==1)$show='1';
else $show='0';
}
else $show='0';
$msg=$_POST['msg'];

$mat=antimat($msg);
if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;

if (strlen2($msg)>1024){$err='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `views` WHERE `id_user` = '$user[id]' AND `msg` = '".my_esc($msg)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
elseif(!isset($err)){
mysql_query("INSERT INTO `views` (`id_user`, `time`, `msg`, `id_kont`, `show`) values('$user[id]', '$time', '".my_esc($msg)."', '$ank[id]', '$show')");
}
if (!isset($err))msg('Мнение успешно добавлено');
}

if (isset($_GET['del']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `views` WHERE `id` = '".intval($_GET['del'])."' && `id_kont` = '".intval($_GET['id'])."'"),0))
{
if (isset($user) && ($user['level']>=4) || isset($user))
{
mysql_query("DELETE FROM `views` WHERE `id` = '".intval($_GET['del'])."' LIMIT 1");
msg('Комментарий удален');
}
}

err();

 // форма авторизации


if (isset($user))
{	
if($user['id']==$ank['id'])
	{
	echo "Невозможно писать мнение о себе, дайте это сделать другим.";
	}else{
		echo "<form method=post name='message' action=?id=$ank[id]>\n";
		echo "Сообщение:<br />\n<textarea name='msg'></textarea><br />\n";
		echo "<label><input type='checkbox' name='show' value='1' />Анонимное сообщение</label><br />\n";
		echo "<input value='Отправить' type='submit' />\n";
		echo "</form>\n";
	}
}
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `views` WHERE `id_kont` = $ank[id]"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `views` WHERE `id_kont` = $ank[id] ORDER BY `time` DESC LIMIT $start, $set[p_str]");

echo "<table class='post'>\n";
if ($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Нет мнений о этом пользователе\n";
echo "  </td>\n";
echo "   </tr>\n";
}
while ($post = mysql_fetch_array($q))
{
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));
echo "   <tr>\n";
if ($set['set_show_icon']==2){
echo "  <td class='icon48' rowspan='2'>\n";
avatar($ank['id']);
echo "  </td>\n";
}
elseif ($set['set_show_icon']==1)
{
echo "  <td class='icon14'>\n";
echo "<img src='/style/themes/$set[set_them]/user/$ank[pol].png' alt='' />";
echo "  </td>\n";
}
echo "  <td class='p_t'>\n";
if($post['show']==1){echo"Аноним\n";if($user['level']>3){echo "написал: <a href=/info.php?id=$ank[id]>$ank[nick]</a> (".vremja($post['time']).")\n";}}else{
echo "<a href='/info.php?id=$ank[id]'>$ank[nick]</a>";
echo "(".vremja($post['time']).")\n";}
echo "  </td>\n";
echo "   </tr>\n";
echo "   <tr>\n";
if ($set['set_show_icon']==1)echo "  <td class='p_m' colspan='2'>\n"; else echo "  <td class='p_m'>\n";
echo output_text($post['msg'])."<br />\n";
if (isset($user) && ($user['level']>=4) || isset($user))
echo "<a href='?id=".intval($_GET['id'])."&amp;del=$post[id]'>Удалить</a><br />\n";
echo "  </td>\n";
echo "   </tr>\n";
}
echo "</table>\n";

if ($k_page>1)str("?id=$ank[id]&amp;',$k_page,$page"); // Вывод страниц

include_once '../sys/inc/tfoot.php';
?>